package com.jdbernard.timeanalyzer.categories

import com.jdbernard.timeanalyzer.events.Event

import org.joda.time.Interval

public class TimeIntervalCategory extends Category {

    private final Interval interval

    public TimeIntervalCategory(String desc, Interval interval) {
        super(desc)
        this.interval = interval }

    public boolean matchesEvent(Event e) {
        Interval eventIv = new Interval(e.start, e.duration)
        return interval.contains(eventIv) }
}
