package com.quantumdigital.ithelp.timeanalyzer

import com.jdbernard.timeanalyzer.events.Event

public class TicketEvent extends Event {

    public final int id

    public TicketEvent(String desc, String notes, String start, String duration) {

        super(desc, notes, start, duration)

        def m = desc =~ /.*#(\d+).*/
        this.id = m[0][1] as int
    }

    public TicketEvent(Map params) {
        super(params)

        def m = description =~ /.*#(\d+).*/
        this.id = m[0][1] as int
    }

    public TicketEvent(Map params, Event e) {
        super(params, e)

        def m = description =~ /.*#(\d+).*/
        this.id = m[0][1] as int
    }

    public TicketEvent(Event e) {
        super([:], e)

        def m = description =~ /.*#(\d+).*/
        this.id = m[0][1] as int
    }
}
