package com.jdbernard.timeanalyzer.categories

import com.jdbernard.timeanalyzer.events.Event

public class FilteredCategory extends Category {

    List<CategoryFilter> filters = []

    public FilteredCategory(String description) {
        super(description) }

    public boolean matchesEvent(Event e) {
        return filters.every { filter -> filter.matchesEvent(e) } }

}
